Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface SessionCookieConfig

    public interface SessionCookieConfig

Since:
  Servlet 3.0 $Id: SessionCookieConfig.java 881567 2009-11-17 22:13:30Z markt $ TODO SERVLET3 - Add comments

Method Summary
`java.lang.String` | `getComment()`
`java.lang.String` | `getDomain()`
`int` | `getMaxAge()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`boolean` | `isHttpOnly()`
`boolean` | `isSecure()`
`void` | `setComment(java.lang.String comment)`
`void` | `setDomain(java.lang.String domain)`
`void` | `setHttpOnly(boolean httpOnly)`
`void` | `setMaxAge(int MaxAge)` Sets the maximum age.
`void` | `setName(java.lang.String name)`
`void` | `setPath(java.lang.String path)`
`void` | `setSecure(boolean secure)`

Method Detail

### setName

    void setName(java.lang.String name)

  Parameters:
    `name` -
  Throws:
    `java.lang.IllegalStateException`

### getName

    java.lang.String getName()

### setDomain

    void setDomain(java.lang.String domain)

  Parameters:
    `domain` -
  Throws:
    `java.lang.IllegalStateException`

### getDomain

    java.lang.String getDomain()

### setPath

    void setPath(java.lang.String path)

  Parameters:
    `path` -
  Throws:
    `java.lang.IllegalStateException`

### getPath

    java.lang.String getPath()

### setComment

    void setComment(java.lang.String comment)

  Parameters:
    `comment` -
  Throws:
    `java.lang.IllegalStateException`

### getComment

    java.lang.String getComment()

### setHttpOnly

    void setHttpOnly(boolean httpOnly)

  Parameters:
    `httpOnly` -
  Throws:
    `java.lang.IllegalStateException`

### isHttpOnly

    boolean isHttpOnly()

### setSecure

    void setSecure(boolean secure)

  Parameters:
    `secure` -
  Throws:
    `java.lang.IllegalStateException`

### isSecure

    boolean isSecure()

### setMaxAge

    void setMaxAge(int MaxAge)

  Sets the maximum age.

  Parameters:
    `MaxAge` - the maximum age to set
  Throws:
    `java.lang.IllegalStateException`

### getMaxAge

    int getMaxAge()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.